//---------------------------------------------------------------------------

#ifndef mainUnitH
#define mainUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "CGAUGES.h"
#include <Dialogs.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TfrmMain : public TForm
{
__published:	// IDE-managed Components
	TButton *btnOpen;
	TOpenDialog *OpenDialog1;
	TSaveDialog *SaveDialog1;
	TProgressBar *progress;
	TEdit *edPwd;
	TLabel *Label1;
	TLabel *Label2;
	TEdit *edFileHeader;
	TComboBox *cbPwdType;
	TLabel *Label3;
	TEdit *edDropFirstKeystream;
	void __fastcall btnOpenClick(TObject *Sender);
private:	// User declarations
	//we will consider size of sbox 256 bytes
	//(extra byte are only to prevent any mishep just in case)
	char Sbox[257], Sbox2[257];
	unsigned long i, j, t, x;

	char temp , k;

	void CryptInit(unsigned char* key, unsigned int keylen);
	void CryptProcess(char *inp, unsigned int inplen);

public:		// User declarations
	__fastcall TfrmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmMain *frmMain;
//---------------------------------------------------------------------------
#endif
